PlatformCall
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.vremanagement.ghnmanager.impl.platforms
Class PlatformCall

    java.lang.Object
      org.gcube.common.vremanagement.ghnmanager.impl.platforms.PlatformCall

    public class PlatformCall

extends java.lang.Object

An abstraction over a `VirtualPlatform` invocation

Author:
  Manuele Simi (ISTI-CNR)

Constructor Summary
`PlatformCall(org.gcube.vremanagement.virtualplatform.image.VirtualPlatform platform)` Creates a new abstract call for the target platform

Method Summary
`PlatformApplication` | `activate(GCUBERunningInstance instance)` Activates an instance
`void` | `activateAllInstances()`
`PlatformApplication` | `deactivate(GCUBERunningInstance instance)` Deactivates a running instance
`void` | `deactivateAllInstances()`
`void` | `initialize()`
`void` | `shutdown()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlatformCall

    public PlatformCall(org.gcube.vremanagement.virtualplatform.image.VirtualPlatform platform)

  Creates a new abstract call for the target platform

  Parameters:
    `platform` - the platform to invoke in the objet's methods

Method Detail

### initialize

    public void initialize()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### shutdown

    public void shutdown()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### deactivateAllInstances

    public void deactivateAllInstances()

### activateAllInstances

    public void activateAllInstances()

### activate

    public PlatformApplication activate(GCUBERunningInstance instance)
                                 throws java.lang.Exception

  Activates an instance

  Parameters:
    `instance` - the instance to activate
  Returns:
    the application deactivated
  Throws:
    `java.lang.Exception`

### deactivate

    public PlatformApplication deactivate(GCUBERunningInstance instance)
                                   throws java.lang.Exception

  Deactivates a running instance

  Parameters:
    `instance` - the instance to deactivate
  Returns:
    the application deactivated
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD